WriteNowTextInternal::TableData Struct Reference documentation

WriteNowTextInternal::TableData Struct Reference

Internal: the table of a WriteNowText. More...

## Public Member Functions
| TableData ()
| constructor
void | updateCell (MWAWCell &cell) const
| update a cell

## Public Attributes
int | m_type
| the type
MWAWBox2i | m_box
| the bdbox
MWAWColor | m_color
| the background color
int | m_flags [4]
| some unknown flags : T, R, B, L
int | m_values [10]
| some unknown values
std::string | m_error
| the parsing errors

## Friends
std::ostream & | operator<< (std::ostream &o, TableData const &table)
| operator<<

## Detailed Description

Internal: the table of a WriteNowText.

## Constructor & Destructor Documentation

## ◆ TableData()

WriteNowTextInternal::TableData::TableData | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ updateCell()

void WriteNowTextInternal::TableData::updateCell | ( | MWAWCell & | cell | ) | const
| inline

update a cell

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | TableData const & | table )
| friend

operator<<

## Member Data Documentation

## ◆ m_box

MWAWBox2i WriteNowTextInternal::TableData::m_box

the bdbox

Referenced by operator<<, WriteNowText::readTable(), TableData(), and updateCell().

## ◆ m_color

MWAWColor WriteNowTextInternal::TableData::m_color

the background color

Referenced by operator<<, WriteNowText::readTable(), TableData(), and updateCell().

## ◆ m_error

std::string WriteNowTextInternal::TableData::m_error

the parsing errors

Referenced by operator<<, and TableData().

## ◆ m_flags

int WriteNowTextInternal::TableData::m_flags[4]

some unknown flags : T, R, B, L

Referenced by operator<<, WriteNowText::readTable(), TableData(), and updateCell().

## ◆ m_type

int WriteNowTextInternal::TableData::m_type

the type

Referenced by operator<<, WriteNowText::readTable(), and TableData().

## ◆ m_values

int WriteNowTextInternal::TableData::m_values[10]

some unknown values

Referenced by operator<<, WriteNowText::readTable(), and TableData().

The documentation for this struct was generated from the following file:

- WriteNowText.cxx